Subject: Re: [PATCH] git-p4: Wrong sync config filename

From: Simon Hausmann <[email-masked]>
Date: Thu, 3 Apr 2008 09:09:10 +0200

On Wednesday 02 April 2008 10:23:00 Kevin Leung wrote:
> The filename should be p4-git-sync.cfg.db instead of p4-git-sync.cfg.
>
> Signed-off-by: Kevin Leung <[email-masked]>
> ---
> I encounter this problem after submitting the changelist to Perforce.
>
> I was using Mac OS X 10.5 with Python 2.5.1. I am not sure if this patch
> will help others.

Thanks for the patch! Fortunately this config file is not needed anymore and I 
removed its use alltogether a while ago, also as a result of running into 
this problem on Mac OS X myself :). So the latest git has this resolved :)

Simon

> Change 29323 submitted.
> All changes applied!
> Performing incremental import into refs/remotes/p4/master git branch
> Depot paths: //depot/POPCAT/
> Import destination: refs/remotes/p4/master
> Importing revision 29323 (100%)
> Do you want to rebase current HEAD from Perforce now using git-p4
> rebase? [y]es/[n]o n
> Traceback (most recent call last):
>   File "/Users/kevin/bin/git-p4", line 1828, in <module>
>     main()
>   File "/Users/kevin/bin/git-p4", line 1823, in main
>     if not cmd.run(args):
>   File "/Users/kevin/bin/git-p4", line 835, in run
>     os.remove(self.configFile)
> OSError: [Errno 2] No such file or directory:
> '/Users/kevin/cdc.git/popcat/.git/p4-git-sync.cfg'
>
>  contrib/fast-import/git-p4 |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/contrib/fast-import/git-p4 b/contrib/fast-import/git-p4
> index c80a6da..623757a 100755
> --- a/contrib/fast-import/git-p4
> +++ b/contrib/fast-import/git-p4
> @@ -796,7 +796,7 @@ class P4Submit(Command):
>                  self.logSubstitutions[tokens[0]] = tokens[1]
>
>          self.check()
> -        self.configFile = self.gitdir + "/p4-git-sync.cfg"
> +        self.configFile = self.gitdir + "/p4-git-sync.cfg.db"
>          self.config = shelve.open(self.configFile, writeback=True)
>
>          if self.firstTime: